POST api/Zapier/InsertNotesForSameInsured

Insert notes against all insured having same name/phone number or email address.

Request Information

URI Parameters

None.

Body Parameters

NoteIntegrationModel
NameDescriptionTypeAdditional information
database_id

globally unique identifier

None.

subject

string

None.

insured_database_id

globally unique identifier

None.

insured_email

string

None.

insured_first_name

string

None.

insured_last_name

string

None.

insured_commercial_name

string

None.

create_date

string

None.

creator_name

string

None.

type

string

None.

parent_note_id

globally unique identifier

None.

hide

boolean

None.

policy_database_id

globally unique identifier

None.

policies_database_ids

Collection of globally unique identifier

None.

origin

PolicyOrigin

None.

taskId

globally unique identifier

None.

is_sticky_note

boolean

None.

sticky_note_color

StickyNoteColor

None.

opportunity_database_id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "database_id": "92cd289c-29a2-4297-9d84-60bde20566f9",
  "subject": "sample string 2",
  "insured_database_id": "df406d78-cb17-4149-93b7-c243e2abc316",
  "insured_email": "sample string 3",
  "insured_first_name": "sample string 4",
  "insured_last_name": "sample string 5",
  "insured_commercial_name": "sample string 6",
  "create_date": "sample string 7",
  "creator_name": "sample string 8",
  "type": "sample string 9",
  "parent_note_id": "86a8691f-0bdf-449d-b843-d4797d020e01",
  "hide": true,
  "policy_database_id": "edeff9c4-41e8-401c-9420-d11d01418dc1",
  "policies_database_ids": [
    "19a4952e-f94f-42b4-8745-ab540a119468",
    "907d134f-aa7f-42dd-a3cd-90ea20da4286"
  ],
  "origin": 0,
  "taskId": "c9ae8676-04b2-4a8a-8b50-b778ebd10be8",
  "is_sticky_note": true,
  "sticky_note_color": 0,
  "opportunity_database_id": "70b8ed41-f7fd-4286-a93e-0372ffdb1c7d"
}

application/xml, text/xml

Sample:
<NoteIntegrationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.Integrations">
  <CreateDate>sample string 7</CreateDate>
  <CreatorName>sample string 8</CreatorName>
  <DatabaseId>92cd289c-29a2-4297-9d84-60bde20566f9</DatabaseId>
  <Hide>true</Hide>
  <InsuredCommercialName>sample string 6</InsuredCommercialName>
  <InsuredDatabaseId>df406d78-cb17-4149-93b7-c243e2abc316</InsuredDatabaseId>
  <InsuredEmail>sample string 3</InsuredEmail>
  <InsuredFirstName>sample string 4</InsuredFirstName>
  <InsuredLastName>sample string 5</InsuredLastName>
  <IsStickyNote>true</IsStickyNote>
  <OpportunityDatabaseId>70b8ed41-f7fd-4286-a93e-0372ffdb1c7d</OpportunityDatabaseId>
  <Origin>Manual</Origin>
  <ParentNoteId>86a8691f-0bdf-449d-b843-d4797d020e01</ParentNoteId>
  <PoliciesDatabaseIds xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:guid>19a4952e-f94f-42b4-8745-ab540a119468</d2p1:guid>
    <d2p1:guid>907d134f-aa7f-42dd-a3cd-90ea20da4286</d2p1:guid>
  </PoliciesDatabaseIds>
  <PolicyDatabaseId>edeff9c4-41e8-401c-9420-d11d01418dc1</PolicyDatabaseId>
  <StickyNoteColor>None</StickyNoteColor>
  <Subject>sample string 2</Subject>
  <TaskId>c9ae8676-04b2-4a8a-8b50-b778ebd10be8</TaskId>
  <Type>sample string 9</Type>
</NoteIntegrationModel>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

NowCertsApiResult
NameDescriptionTypeAdditional information
Status

ApiStatus

None.

Message

string

None.

Response Formats

application/json, text/json

Sample:
{
  "status": 0,
  "message": "sample string 1"
}

application/xml, text/xml

Sample:
<NowCertsApiResult xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum">
  <Message>sample string 1</Message>
  <Status>Error</Status>
</NowCertsApiResult>